## zeitgeist 0.2.1

=== doc/dbus/Makefile ===
# Makefile for Zeitgeist's API documentation
# This needs the Sphinx Documentation Generator (http://sphinx.pocoo.org/)

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	rm -rf build/* source/.static
	[ ! -e $(CURDIR)/../../_zeitgeist/engine/zeitgeist ]  | \
		unlink $(CURDIR)/../../_zeitgeist/engine/zeitgeist

init:
	mkdir -p build/changes build/doctrees source/.static
	ln -sf $(CURDIR)/../../zeitgeist $(CURDIR)/../../_zeitgeist/engine/

html: init
	mkdir -p build/html build/doctrees source/.static
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

pickle: init
	mkdir -p build/pickle
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

web: init pickle

json: init
	mkdir -p build/json
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: init
	mkdir -p build/htmlhelp
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex: init
	mkdir -p build/latex
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes: init
	mkdir -p build/changes
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

## zeitgeist 0.3.2

=== doc/zeitgeist/Makefile ===
# Makefile for Zeitgeist's API documentation
# This needs the Sphinx Documentation Generator (http://sphinx.pocoo.org/)

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	rm -rf build/* source/.static

init:
	mkdir -p build/changes build/doctrees source/.static

html: init
	mkdir -p build/html build/doctrees source/.static
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

pickle: init
	mkdir -p build/pickle
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

web: init pickle

json: init
	mkdir -p build/json
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: init
	mkdir -p build/htmlhelp
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex: init
	mkdir -p build/latex
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes: init
	mkdir -p build/changes
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

## zeitgeist 0.4.0-0ubuntu1-maemo1

=== debian/changelog ===
zeitgeist (0.4.0-0ubuntu1-maemo1) unstable; urgency=low

  * initial packaging of zeitgeist for maemo, based on lp:ubuntu/zeitgeist rev8

 -- Markus Korn <thekorn@gmx.de>  Fri, 23 Jul 2010 06:07:22 +0000

zeitgeist (0.4.0-0ubuntu1) maverick; urgency=low

  * New upstream release for dx team
  * debian/rules:
    - add simple-patchsys.mk
    - add autoreconf.mk to take the following patch into account
  * debian/patches/01_zeitgeist-hardwire-fts-extension.patch:
    - add temporarly FTS to zg
  * debian/control.in:
    - bump Standards-Version to latest
    - build-dep on libgconf2-dev and dh-autoreconf for running autoreconf at
      build time
    - build-dep on raptor-utils

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 18 Jun 2010 15:58:20 +0200

zeitgeist (0.3.2-1ubuntu1) lucid; urgency=low

  The "let's backport fixes" release.

  * zeitgeist/datamodel.py:
     - Fixes the display name for Interpretation.SOURCECODE.
  * zeitgeist/client.py:
     - Fix find_events_for_values (LP: #510804).
     - Fix find_events_for_template, was returning event IDs only.
  * _zeitgeist/engine/main.py:
     - Ensure event deletions get committed and ignore deletion requests with no
       valid IDs (LP: #566173, #566184).
     - Fix insertion of events with a payloads (LP: #557708).
  * _zeitgeist/engine/remote.py:
     - Fix wrong docstrings (FindEvent mentioned the return type of FindEventIds,
       and the other way around).
  * _zeitgeist/loggers/datasources/recent.py:
     - Recognize additional mime-types (LP: #510761).
     - Fix crash trying to access a broken symlink (LP: #523761, #549567).
     - Fix crash when GtkRecentManager doesn't have a display-friendly version
       of a URI (LP: #531793).
     - Fix crash parsing malformed .desktop files (LP: #526357).
     - Prepend "application://" to the actor name.
  * _zeitgeist/engine/sql.py:
     - Update event_view to lookup the payload's value instead of returning its
       rowid.
  * _zeitgeist/engine/extension.py:
     - Make ExtensionsCollection iterable.
  * doc/zeitgeist-daemon.1:
     - Update information in the "Environment variables" section.
  * debian/control:
     - Version zeitgeist-datahub's zeitgeist-daemon dependency to 0.3.2 or later.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Fri, 23 Apr 2010 16:46:07 +0200

zeitgeist (0.3.2-1) unstable; urgency=low

  * New upstream release:
     - Add FindEvents, optimized shorthand for GetEvents(FindEventIds(...)).
     - Fix DeleteEvents and make it ignore bad requests.
     - Fix GetEvents not to raise an exception when called with an empty list.
     - ZeitgeistClient.get_version() now returns a Python list.
     - Some code refactoring, documentation changes and other little fixes.
  * Delete debian/zeitgeist-daemon.bash_completion, as it's now in the tarball,
    and update debian/rules to reflect this change.
  * debian/control.in:
     - Change Homepage field to zeitgeist-project.com.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Wed, 20 Jan 2010 00:23:48 +0100

zeitgeist (0.3.1-1) unstable; urgency=low

  * First upload to enter Debian (Closes: #529067).
  * debian/copyright:
     - Mention that some copyright headers in the tarball are wrong.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Tue, 01 Dec 2009 15:12:39 +0100

zeitgeist (0.3.1-0ubuntu1) lucid; urgency=low

  * New upstream release:
     - Event subscription (monitoring) support.
     - Blacklist extension.
     - Experimental FindRelatedUris method (API for it may change).
     - Other features, bug fixes and better documentation.
  * Update debian/copyright.
  * debian/{rules,zeitgeist-core.install,zeitgeist-daemon.bash_completion}:
     - Add bash-completion for the "zeitgeist-daemon" command.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Sun, 10 Jan 2010 23:48:48 +0100

zeitgeist (0.2.1-0ubuntu2) karmic; urgency=low

  * debian/control{,.in}:
     - Degraded python-storm from Depends to Suggests, as since 0.2.1
       Storm is no longer used by default.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Thu, 15 Oct 2009 17:01:24 +0200

zeitgeist (0.2.1-0ubuntu1) karmic; urgency=low

  * New upstream release.
     - Update dependencies.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Mon, 17 Aug 2009 00:12:51 +0200

zeitgeist (0.2.0+dfsg1-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #377634) (Closes: #529067).
  * Tarball repackaged to remove doc/dbus/build, which was included accidentally
    and has files with unclear licensing.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Wed, 08 Jul 2009 00:34:59 +0200

=== debian/control ===
Source: zeitgeist
Section: utils
Priority: optional
Maintainer: Markus Korn <thekorn@gmx.de>
Build-Depends: cdbs (>= 0.4.48),
 debhelper (>= 5.0.38),
 dh-autoreconf,
 libgconf2-dev,
 gnome-pkg-tools,
 intltool,
 python-rdflib,
 raptor-utils,
 python-support (>= 0.5.3)
Homepage: http://zeitgeist-project.com/
Standards-Version: 3.8.4

Package: zeitgeist
Architecture: all
Depends: ${misc:Depends},
 zeitgeist-core,
 zeitgeist-datahub
Description: event logging framework
 Zeitgeist is a service which logs the user's activities and events (files
 opened, websites visited, conversations hold with other people, etc.) and
 makes the relevant information available to other applications.
 .
 It serves as a comprehensive activity log and also makes it possible to
 determine relationships between items based on usage patterns.
 .
 This metapackage depends on the Zeitgeist engine and a set of packages
 (such as data providers) commonly used together with it.

Package: zeitgeist-core
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-xdg,
 python-dbus,
 python-gobject (>= 2.16.0)
Suggests: zeitgeist-datahub
Description: event logging framework - engine
 Zeitgeist is a service which logs the user's activities and events (files
 opened, websites visited, conversations hold with other people, etc.) and
 makes the relevant information available to other applications.
 .
 It serves as a comprehensive activity log and also makes it possible to
 determine relationships between items based on usage patterns.
 .
 This package contains the main daemon and the Python API.

Package: zeitgeist-datahub
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-xdg,
 python-dbus,
 python-gconf,
 python-gobject (>= 2.16.0),
 zeitgeist-core
Recommends: python-gtk2 (>= 2.14.1)
Description: event logging framework - passive logging daemon
 Zeitgeist is a service which logs the user's activities and events (files
 opened, websites visited, conversations hold with other people, etc.) and
 makes the relevant information available to other applications.
 .
 It serves as a comprehensive activity log and also makes it possible to
 determine relationships between items based on usage patterns.
 .
 This package contains zeitgeist-datahub, a daemon which starts together with
 the main engine and inserts information collected from GtkRecentlyUsed into
 it. Additional data collectors can be added to it and will be detected at
 startup time.

=== debian/rules ===
#!/usr/bin/make -f

# use automake1.9:
# http://maemo.org/community/maemo-developers/automake-1-8-5/
export SBOX_DEFAULT_AUTOMAKE=1.9

# use python2.5: http://wiki.maemo.org/PyMaemo/FAQ
PATH := /usr/bin:$(PATH)
SBOX_REDIRECT_IGNORE := $(SBOX_REDIRECT_IGNORE):/usr/bin/python
export PATH SBOX_REDIRECT_IGNORE

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_DH_INSTALL_SOURCEDIR := debian/tmp

install/zeitgeist-core::
	dh_installdirs -pzeitgeist-core -Pdebian/tmp etc/bash_completion.d
	install -m 644 $(CURDIR)/extra/zeitgeist-daemon.bash_completion \
		$(CURDIR)/debian/tmp/etc/bash_completion.d/zeitgeist-daemon

binary-install/zeitgeist-core::
	dh_pysupport /usr/share/zeitgeist

binary-install/zeitgeist-datahub::
	dh_pysupport /usr/share/zeitgeist

## zeitgeist 0.5.1-1maemo2

=== debian/changelog ===
zeitgeist (0.5.1-1maemo2) unstable; urgency=low

  * New upstream release

 -- Markus Korn <thekorn@gmx.de>  Fri, 10 Sep 2010 15:22:25 +0200

zeitgeist (0.4.0-1maemo1~test2) unstable; urgency=low

  * initial creation of the maemo package of zeitgeist 0.4.0

 -- Markus Korn <thekorn@gmx.de>  Wed,  7 Jul 2010 15:45:02 +0200

zeitgeist (0.4.0-1) unstable; urgency=low

  * New upstream release:
     - Added support for negation ("!<text>") and right wildcards ("<text>*")
       to many query fields. Also added type expansion (eg.: Image matches
       VectorImage and RasterImage).
     - Fixed DeleteEvents to work with arbitrarily huge amounts of IDs.
     - Several ontology changes (renamed interpretation values). Support for
       automatic database format upgrades.
     - Other fixes, improvements, new API functionalities and translations.
  * Update debian/control (add raptor-utils and python-rdflib to the build
    dependencies) and debian/zeitgeist-core.install.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Fri, 18 Jun 2010 22:15:38 +0200

zeitgeist (0.3.3.1-1) unstable; urgency=low

  * New upstream release:
     - Added new ReturnTypes ({Most,Least}{PopularActor,RecentActor}).
     - Added DataSourceRegistry extension and support for extensions
       identifying callers (when methods are executed through D-Bus).
     - Overhauled FindRelatedUris for better results and improved performance.
     - Several other changes and bug fixes (LP: #549567, #531793).
  * debian/control, debian/rules:
     - Get ride of CDBS (switch to dh7).
     - Bump Standards-Version to 3.8.4.
  * Add debian/source/format file with content "1.0".

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Tue, 20 Apr 2010 14:38:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Markus Korn <thekorn@gmx.de>
-Build-Depends: cdbs (>= 0.4.48),
- debhelper (>= 5.0.38),
- dh-autoreconf,
- libgconf2-dev,
- gnome-pkg-tools,
+Build-Depends: debhelper7 (>= 7.0.50~),
  intltool,
+ python-support (>= 0.90.0~),
  python-rdflib,
  raptor-utils,
- python-support (>= 0.5.3)
+ libxml-perl
 Homepage: http://zeitgeist-project.com/
 Standards-Version: 3.8.4
 
@@ -58,7 +55,7 @@
  python-dbus,
  python-gconf,
  python-gobject (>= 2.16.0),
- zeitgeist-core
+ zeitgeist-core (>= 0.3.3)
 Recommends: python-gtk2 (>= 2.14.1)
 Description: event logging framework - passive logging daemon
  Zeitgeist is a service which logs the user's activities and events (files

=== debian/rules ===
#!/usr/bin/make -f

# debhelper7 -> debhelper magic, see http://wiki.maemo.org/Packaging#Debhelper_7
# python2.5 magic, see http://wiki.maemo.org/PyMaemo/FAQ
PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH

SBOX_REDIRECT_IGNORE=/usr/bin/perl:/usr/bin/python
#SBOX_REDIRECT_IGNORE:=$(shell echo /usr/bin/{perl,dh_*} | sed "s/ /:/g")
export SBOX_REDIRECT_IGNORE

%:
	dh $@

override_dh_pysupport:
	dh_pysupport /usr/share/zeitgeist
